Notification Preferences Summary

get

/rest/apis/customer/v-model/communicationsPreferences/summary/{accountId}/{personId}

Retrieves a summary of communication preferences for the input customer context. The response identifies available notification types, the level at which each preference is managed, available notification options, and counts of service agreements with and without configured preferences.

Request

Path Parameters
Query Parameters
  • Notification Type displays the code for the notification preferences for the customer in context.
    Example:
    ZZBUG23605115

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success response
Body ()
Root Schema : C1ComPrfSumy
Type: object
Show Source
Nested Schema : notificationTypeList
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Indicates whether a notification preference can be added in the UI based on the notification type.
    Example: Y
  • Indicates whether the notification preference is editable in the UI based on the notification type.
    Example: Y
  • isOptedOut is defined as true if a customer opts out of the notifications preferences.
    Example: true
  • isOptOutAllowed allows customer to opt out of notification preferences when defined as true.
    Example: true
  • Allowed Values: [ "C1AC", "C1SA" ]
    Indicates if the notification type is set for the account level or for service agreements. * `C1AC` - By Account, * `C1SA` - By Service Agreement
    Example: C1SA
  • notificationPreferenceList
    A list of eligible contact preferences. This list includes all valid contact details for the person that are valid for the notification type and delivery type. If a contact reference is valid for multiple delivery types then it appears as multiple types
  • Maximum Length: 30
    Notification Type displays the code for the notification preferences for the customer in context.
    Example: ZZBUG23605115
  • Maximum Length: 100
    Notification Type displays the description for the notification preferences for the customer in context.
    Example: Test for Bug 23605115
  • Maximum Length: 14
    When opt out is supported, the preference to opt out is also stored in the communication preference entity as Communication Preference Id.
    Example: 74703875639999
  • Minimum Value: 0
    Maximum Value: 99999
    The Count tallies additional active push preferences for the account and any other related persons. If no other persons have an active preference for the parent notification type, the system uses its default notification method.
    Example: 1
  • Minimum Value: 0
    Maximum Value: 99999
    Number of service agreements without a configured preference for the notification type.
    Example: 0
  • Minimum Value: 0
    Maximum Value: 99999
    Number of service agreements with a configured preference for the notification type.
    Example: 6
  • Allowed Values: [ "C1PU", "C1SU" ]
    Subscription/Push defines if a notification is a push or a subscription type notification. * `C1PU` - Push, * `C1SU` - Subscription
    Example: C1PU
Nested Schema : notificationPreferenceList
Type: array
A list of eligible contact preferences. This list includes all valid contact details for the person that are valid for the notification type and delivery type. If a contact reference is valid for multiple delivery types then it appears as multiple types
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : notificationOption
Type: array
If the notification type is a subscription, an optional list of notification option extension fields to capture
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 106
    Data type lookup field for the option value.
    Example: NUMB
  • Maximum Length: 60
    Label of the option if allowed for the subscription notification type.
    Example: Days Before
  • Minimum Value: -9999999999
    Maximum Value: 9999999999
    Precision, if numeric
    Example: 1
  • Allowed Values: [ "N ", "Y " ]
    Required Y or N flag * `N ` - No, * `Y ` - Yes
    Example: N
  • Minimum Value: -999
    Maximum Value: 999
    Scale, if numeric
    Example: 0
  • Minimum Value: -999
    Maximum Value: 999
    Sequence if the notification type is a subscription that allows for an option to be set.
    Example: 10
  • Sign, if numeric
    Example: false
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
  • Maximum Length: 10
    Label of the notification option parameter value that can be provided as a setting.
    Example: Account Balance

400 Response

Bad Request
Body ()
Root Schema : problemDetailDocument
Type: object
Show Source
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 9999
    The HTTP Status code for the error.
  • Maximum Length: 60
    Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction.
  • Maximum Length: 60
    URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework.
  • serverMessage
  • Maximum Length: 60
    The stack trace shows where the error occurs during the execution of a program.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type: object
Show Source
  • Maximum Length: 60
    Delimited sequence of programs called.
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 0
    Message Category within Oracle Utilities Application Framework.
  • Minimum Value: -99999
    Maximum Value: 99999
    Message Number within Oracle Utilities Application Framework.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
  • Maximum Length: 60
    Name of the program that encountered the error.

500 Response

Internal Server Error
Body ()
Root Schema : problemDetailDocument
Type: object
Show Source
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 9999
    The HTTP Status code for the error.
  • Maximum Length: 60
    Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction.
  • Maximum Length: 60
    URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework.
  • serverMessage
  • Maximum Length: 60
    The stack trace shows where the error occurs during the execution of a program.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type: object
Show Source
  • Maximum Length: 60
    Delimited sequence of programs called.
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 0
    Message Category within Oracle Utilities Application Framework.
  • Minimum Value: -99999
    Maximum Value: 99999
    Message Number within Oracle Utilities Application Framework.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
  • Maximum Length: 60
    Name of the program that encountered the error.
Back to Top